<!DOCTYPE html>
<html>
  <head>
        <title>UF1 PR4 Exercicis Javascript part II </title>
  </head>
  <body>
    <h2>Arrays i bucle</h2>
    <p>4. Calcula la lletra del DNI, fent servir arrays i bucles..</p><br>
    <p>LA lletra del NIF s'obte d'un algoritme conegut com mòdul 23.
      L'algoritme consisteix en aplicar l'operacio aritmetica del mòdel 23 al nº del DNI.
      El mòdul 23 és el nº enter obtingut com a resta de la divisio entera del nº del DNI entre 23.
      El resultat és un nº comprés entre 22. En base a una taula coneguda, s'assigna una letra. La combinació del DNI
      amb la seva lletra és el NIF.
    </p>
    <br>

    <script>
      var dni = prompt("Posar el DNI sense la lletra: ");
      var lletre = ["T","R","W","G","M","Y","F","P","D","X","B","N","Z","S","Q","V","H","L","C","K","E"];
      //var lletre_mostrar = "";
      //var i;
      //for (i = 0; i< lletres.length; i++){

      //  lletre_mostrar += dni+"/"+23+"="+parseInt(dni)/23 + "<br>";
        //lletre_mostrar +=  dni+ lletres.search[lletre_mostrar];
      //}

      write("El dni es: "+ lletre[(parseInt(dni) % 23)]);
    </script>
  </body>
</html>
